function battle_sai006(npcID) --肥鬼
	npc.AddStat(1,0,300,1,100)  --自带中毒
	player.AddStat(1,0,180,1,100)  --全场中毒
	
	
	l=npc.GetHP(npcID,1)
	m=flag.GetBattleValue(12955)
	flag.SetBattleValue(12955,l)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
    
	if l==100 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else

			battle.MagicToPlayer(0,1431,1)   --单体法术
		end	
	elseif l<=12 then
		battle.MagicToPlayer(0,1432,1)
	else
	    if m==0 then
			if 100-l<11 then
				
				battle.MagicToPlayer(0,1432,1)
			elseif 100-l>15 then
				
				battle.MagicToNpc(npcID,1433,1)   --自体法术
			else
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					
					id = battle.GetRndPlayer()
					battle.AtkToPlayer(id,1)     --普通攻击
				else
					
					battle.MagicToPlayer(0,1431,1)   --单体法术
				end	
			end
		
		
		else

			if m-l<11 then
				battle.MagicToPlayer(0,1432,1)
				
			elseif m-l>15 then
				
				
				battle.MagicToNpc(npcID,1433,1)   --自体法术
			else
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					id = battle.GetRndPlayer()
					battle.AtkToPlayer(id,1)     --普通攻击
					
				else
					
					battle.MagicToPlayer(0,1431,1)   --单体法术
				end	
			end
		end
	end
end